org.wildfly.swarm.config.management

## Class AuditAccess<T extends AuditAccess<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.AuditAccess<T>

-     public class AuditAccess<T extends AuditAccess<T>>
      extends Object

  The management audit logging top-level resource.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuditAccess.AuditAccessResources` Child mutators for AuditAccess

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditAccess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `auditLogLogger()` The management audit logging top-level resource.
    `T` | `auditLogLogger(AuditLogLogger value)` The management audit logging top-level resource.
    `T` | `auditLogLogger(AuditLogLoggerConsumer consumer)` The management audit logging top-level resource.
    `T` | `auditLogLogger(AuditLogLoggerSupplier supplier)` The management audit logging top-level resource.
    `T` | `fileHandler(FileHandler value)` Add the FileHandler object to the list of subresources
    `T` | `fileHandler(FileHandlerSupplier supplier)` Install a supplied FileHandler object to the list of subresources
    `T` | `fileHandler(String childKey)` Create and configure a FileHandler object to the list of subresources
    `T` | `fileHandler(String childKey, FileHandlerConsumer consumer)` Create and configure a FileHandler object to the list of subresources
    `T` | `fileHandlers(List<FileHandler> value)` Add all FileHandler objects to this subresource
    `String` | `getKey()`
    `T` | `inMemoryHandler(InMemoryHandler value)` Add the InMemoryHandler object to the list of subresources
    `T` | `inMemoryHandler(InMemoryHandlerSupplier supplier)` Install a supplied InMemoryHandler object to the list of subresources
    `T` | `inMemoryHandler(String childKey)` Create and configure a InMemoryHandler object to the list of subresources
    `T` | `inMemoryHandler(String childKey, InMemoryHandlerConsumer consumer)` Create and configure a InMemoryHandler object to the list of subresources
    `T` | `inMemoryHandlers(List<InMemoryHandler> value)` Add all InMemoryHandler objects to this subresource
    `T` | `jsonFormatter(JsonFormatter value)` Add the JsonFormatter object to the list of subresources
    `T` | `jsonFormatter(JsonFormatterSupplier supplier)` Install a supplied JsonFormatter object to the list of subresources
    `T` | `jsonFormatter(String childKey)` Create and configure a JsonFormatter object to the list of subresources
    `T` | `jsonFormatter(String childKey, JsonFormatterConsumer consumer)` Create and configure a JsonFormatter object to the list of subresources
    `T` | `jsonFormatters(List<JsonFormatter> value)` Add all JsonFormatter objects to this subresource
    `T` | `periodicRotatingFileHandler(PeriodicRotatingFileHandler value)` Add the PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(PeriodicRotatingFileHandlerSupplier supplier)` Install a supplied PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(String childKey)` Create and configure a PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(String childKey, PeriodicRotatingFileHandlerConsumer consumer)` Create and configure a PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandlers(List<PeriodicRotatingFileHandler> value)` Add all PeriodicRotatingFileHandler objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `sizeRotatingFileHandler(SizeRotatingFileHandler value)` Add the SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(SizeRotatingFileHandlerSupplier supplier)` Install a supplied SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(String childKey)` Create and configure a SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(String childKey, SizeRotatingFileHandlerConsumer consumer)` Create and configure a SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandlers(List<SizeRotatingFileHandler> value)` Add all SizeRotatingFileHandler objects to this subresource
    `AuditAccess.AuditAccessResources` | `subresources()`
    `T` | `syslogHandler(String childKey)` Create and configure a SyslogHandler object to the list of subresources
    `T` | `syslogHandler(String childKey, SyslogHandlerConsumer consumer)` Create and configure a SyslogHandler object to the list of subresources
    `T` | `syslogHandler(SyslogHandler value)` Add the SyslogHandler object to the list of subresources
    `T` | `syslogHandler(SyslogHandlerSupplier supplier)` Install a supplied SyslogHandler object to the list of subresources
    `T` | `syslogHandlers(List<SyslogHandler> value)` Add all SyslogHandler objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditAccess

          public AuditAccess()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public AuditAccess.AuditAccessResources subresources()

    - #### periodicRotatingFileHandlers

          public T periodicRotatingFileHandlers(List<PeriodicRotatingFileHandler> value)

      Add all PeriodicRotatingFileHandler objects to this subresource
      Parameters:
        `value` - List of PeriodicRotatingFileHandler objects.
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(PeriodicRotatingFileHandler value)

      Add the PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `value` - The PeriodicRotatingFileHandler to add
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(String childKey,
                                               PeriodicRotatingFileHandlerConsumer consumer)

      Create and configure a PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileHandler resource
        `config` - The PeriodicRotatingFileHandlerConsumer to use
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(String childKey)

      Create and configure a PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileHandler resource
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(PeriodicRotatingFileHandlerSupplier supplier)

      Install a supplied PeriodicRotatingFileHandler object to the list of subresources

    - #### inMemoryHandlers

          public T inMemoryHandlers(List<InMemoryHandler> value)

      Add all InMemoryHandler objects to this subresource
      Parameters:
        `value` - List of InMemoryHandler objects.
      Returns:
        this

    - #### inMemoryHandler

          public T inMemoryHandler(InMemoryHandler value)

      Add the InMemoryHandler object to the list of subresources
      Parameters:
        `value` - The InMemoryHandler to add
      Returns:
        this

    - #### inMemoryHandler

          public T inMemoryHandler(String childKey,
                                   InMemoryHandlerConsumer consumer)

      Create and configure a InMemoryHandler object to the list of subresources
      Parameters:
        `key` - The key for the InMemoryHandler resource
        `config` - The InMemoryHandlerConsumer to use
      Returns:
        this

    - #### inMemoryHandler

          public T inMemoryHandler(String childKey)

      Create and configure a InMemoryHandler object to the list of subresources
      Parameters:
        `key` - The key for the InMemoryHandler resource
      Returns:
        this

    - #### inMemoryHandler

          public T inMemoryHandler(InMemoryHandlerSupplier supplier)

      Install a supplied InMemoryHandler object to the list of subresources

    - #### jsonFormatters

          public T jsonFormatters(List<JsonFormatter> value)

      Add all JsonFormatter objects to this subresource
      Parameters:
        `value` - List of JsonFormatter objects.
      Returns:
        this

    - #### jsonFormatter

          public T jsonFormatter(JsonFormatter value)

      Add the JsonFormatter object to the list of subresources
      Parameters:
        `value` - The JsonFormatter to add
      Returns:
        this

    - #### jsonFormatter

          public T jsonFormatter(String childKey,
                                 JsonFormatterConsumer consumer)

      Create and configure a JsonFormatter object to the list of subresources
      Parameters:
        `key` - The key for the JsonFormatter resource
        `config` - The JsonFormatterConsumer to use
      Returns:
        this

    - #### jsonFormatter

          public T jsonFormatter(String childKey)

      Create and configure a JsonFormatter object to the list of subresources
      Parameters:
        `key` - The key for the JsonFormatter resource
      Returns:
        this

    - #### jsonFormatter

          public T jsonFormatter(JsonFormatterSupplier supplier)

      Install a supplied JsonFormatter object to the list of subresources

    - #### fileHandlers

          public T fileHandlers(List<FileHandler> value)

      Add all FileHandler objects to this subresource
      Parameters:
        `value` - List of FileHandler objects.
      Returns:
        this

    - #### fileHandler

          public T fileHandler(FileHandler value)

      Add the FileHandler object to the list of subresources
      Parameters:
        `value` - The FileHandler to add
      Returns:
        this

    - #### fileHandler

          public T fileHandler(String childKey,
                               FileHandlerConsumer consumer)

      Create and configure a FileHandler object to the list of subresources
      Parameters:
        `key` - The key for the FileHandler resource
        `config` - The FileHandlerConsumer to use
      Returns:
        this

    - #### fileHandler

          public T fileHandler(String childKey)

      Create and configure a FileHandler object to the list of subresources
      Parameters:
        `key` - The key for the FileHandler resource
      Returns:
        this

    - #### fileHandler

          public T fileHandler(FileHandlerSupplier supplier)

      Install a supplied FileHandler object to the list of subresources

    - #### sizeRotatingFileHandlers

          public T sizeRotatingFileHandlers(List<SizeRotatingFileHandler> value)

      Add all SizeRotatingFileHandler objects to this subresource
      Parameters:
        `value` - List of SizeRotatingFileHandler objects.
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(SizeRotatingFileHandler value)

      Add the SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `value` - The SizeRotatingFileHandler to add
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(String childKey,
                                           SizeRotatingFileHandlerConsumer consumer)

      Create and configure a SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileHandler resource
        `config` - The SizeRotatingFileHandlerConsumer to use
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(String childKey)

      Create and configure a SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileHandler resource
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(SizeRotatingFileHandlerSupplier supplier)

      Install a supplied SizeRotatingFileHandler object to the list of subresources

    - #### syslogHandlers

          public T syslogHandlers(List<SyslogHandler> value)

      Add all SyslogHandler objects to this subresource
      Parameters:
        `value` - List of SyslogHandler objects.
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(SyslogHandler value)

      Add the SyslogHandler object to the list of subresources
      Parameters:
        `value` - The SyslogHandler to add
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(String childKey,
                                 SyslogHandlerConsumer consumer)

      Create and configure a SyslogHandler object to the list of subresources
      Parameters:
        `key` - The key for the SyslogHandler resource
        `config` - The SyslogHandlerConsumer to use
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(String childKey)

      Create and configure a SyslogHandler object to the list of subresources
      Parameters:
        `key` - The key for the SyslogHandler resource
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(SyslogHandlerSupplier supplier)

      Install a supplied SyslogHandler object to the list of subresources

    - #### auditLogLogger

          public T auditLogLogger(AuditLogLogger value)

      The management audit logging top-level resource.

    - #### auditLogLogger

          public T auditLogLogger(AuditLogLoggerConsumer consumer)

      The management audit logging top-level resource.

    - #### auditLogLogger

          public T auditLogLogger()

      The management audit logging top-level resource.

    - #### auditLogLogger

          public T auditLogLogger(AuditLogLoggerSupplier supplier)

      The management audit logging top-level resource.

Copyright © 2017 JBoss by Red Hat. All rights reserved.